#include "lpc2138.h"

static void ledInit(){
 	PINSEL1 = 0;
	IODIR |= 0x80000000;
	IOSET = 0x80000000;
}

static void ledOn(int led){
	IOCLR = led;
}

static void ledOff(int led){
	IOSET = led;
}

void delay(int d){     
  for(; d; --d);
}
 
int main(void){
	int i;
	
	MAMTIM = 3;
	MAMCR = 2;
	ledInit();

	//RTC
	CCR=0x11;
	PCONP=PCONP & ~0x200;

	for(i=0;i<10;i++){
		ledOn(0x80000000);
		delay(20000*8);
		ledOff(0x80000000);
		delay(20000*8);
	}
	PLLCFG=0x23;
	PLLCON=0x01;
	PLLFEED=0xaa;
	PLLFEED=0x55;
	while(!(PLLSTAT & 0x0400)) ;
	PLLCON=0x03;
	PLLFEED=0xaa;
	PLLFEED=0x55;

/*
	WDTC=0x100;
	WDMOD=0x03;
	WDFEED=0xaa;
	WDFEED=0x55;
*/

	while (1){
		ledOn(0x80000000);
		delay(20000*8);
		ledOff(0x80000000);
		delay(20000*8);
	}
	return 0;
}
